Bug 1316626 - Leftover /opt/rh/rh-nodejs4/root/usr/share/licenses after uninstallation
Summary: Leftover /opt/rh/rh-nodejs4/root/usr/share/licenses after uninstallation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: rh-nodejs4
Version: rh-nodejs4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: beta
: 2.2
Assignee: Zuzana Svetlikova
QA Contact: Martin Klusoň
URL:
Whiteboard:
Depends On:
Blocks: 1420294
TreeView+ depends on / blocked
 
Reported: 2016-03-10 16:04 UTC by Miroslav Hradílek
Modified: 2017-11-20 12:17 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The /opt/rh/rh-nodejs4/root/usr/share/licenses/ directory was not owned by any package. Consequently, when the rh-nodejs4 collection was uninstalled, the directory was not removed. This bug has been fixed, and the aforementioned directory is correctly removed after uninstalling rh-nodejs4.
Clone Of:
: 1420294 (view as bug list)
Environment:
Last Closed: 2017-10-23 09:19:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3002 normal SHIPPED_LIVE Moderate: rh-nodejs4-nodejs security and bug fix update 2017-10-23 13:19:08 UTC

Description Miroslav Hradílek 2016-03-10 16:04:31 UTC
Description of problem:

There is: /opt/rh/rh-nodejs4/root/usr/share/licenses leftover after collection uninstallation due to not being owned by any package.

Version-Release number of selected component (if applicable):
rh-nodejs4-2.2-5.el7.x86_64 (unreleased)


::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: rh-nodejs4
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Using package list
:: [   FAIL   ] :: All files in /opt/rh/rh-nodejs4 owned by that collection 
:: [   LOG    ] :: Files in the question:
:: [   LOG    ] :: /opt/rh/rh-nodejs4/root/usr/share/licenses
:: [   LOG    ] :: Duration: 11s
:: [   LOG    ] :: Assertions: 0 good, 1 bad
:: [   FAIL   ] :: RESULT: rh-nodejs4

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Destructive part
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Using package list
:: [   FAIL   ] :: No files left after the yum remove 
:: [   LOG    ] :: /opt/rh/rh-nodejs4/root/usr/share/licenses
:: [   LOG    ] :: Duration: 5m 4s
:: [   LOG    ] :: Assertions: 0 good, 1 bad
:: [   FAIL   ] :: RESULT: Destructive part

Comment 1 Zuzana Svetlikova 2016-04-21 14:07:57 UTC
This bug is caused by filesystem not owning the directory, not bug in scl package.

https://bugzilla.redhat.com/show_bug.cgi?id=1278300

Comment 2 Miroslav Hradílek 2016-04-21 16:31:30 UTC
Does this explanation count for collections and therefor /opt/rh/rh-nodejs4 prefixed path?

Comment 3 Zuzana Svetlikova 2016-06-14 06:27:11 UTC
Yes.

Comment 4 Miroslav Hradílek 2017-02-08 12:08:28 UTC
Reopening this because it is still an issue even after filesystem-3.2-21

# rpm -q filesystem rh-nodejs4
filesystem-3.2-21.el7.x86_64
rh-nodejs4-2.2-5.el7.x86_64
# rpm -qf /opt/rh/rh-nodejs6/root/usr/share/licenses
file /opt/rh/rh-nodejs6/root/usr/share/licenses is not owned by any package

Comment 10 errata-xmlrpc 2017-10-23 09:19:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3002


Note You need to log in before you can comment on or make changes to this bug.